<?php
namespace Claromentis\Setup;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_b742a00a" . "e87756f85" . "0c77e0daf" . "4e7a3a" => base64_decode("Cg=" . "="), "_e2670a7" . "1b060534" . "5f16f2b7" . "a8edd4a2" . "1" => base64_decode("dWNmaXJzdA=" . "="), "_70809333a0f2" . "54acf7a1ad0c7" . "dadd46b" => base64_decode("O" . "i" . "A" . "="), "_74923e1c0049a84fd020d9" . "6f8ae0645d" => base64_decode("SW5mbw" . "=="), "_a08b13e5439bf1e12" . "58f60e9380f41ae" => base64_decode("RGV0Y" . "Wls"), "_24f5487bd60ba" . "6b30d6285c791a" . "32460" => base64_decode("c3R" . "yX3" . "BhZ" . "A=="), "_0f10830288c813" . "de18599c12f7669" . "4b3" => base64_decode("RGV" . "idW" . "c="), "_bd71c3b5c201fc11db82ed14ce424d" . "e5" => base64_decode("aW5fYX" . "JyYXk="));
use Psr\Log\LoggerInterface;
use Psr\Log\LoggerTrait;
use Psr\Log\LogLevel;






class Logger implements LoggerInterface
{
    use LoggerTrait;
    protected $levels = [];
    public function __construct()
    {
        $this->setLogLevel(LogLevel::NOTICE);
    }
    
    
    
    
    
    
    
    
    
    
    public function log($level, $message, array $context = array())
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_bd71c3b5c201" . "fc11db82ed14c" . "e424de5"]($level, $this->levels)) {
            return;
        }
        switch ($level) {
            case \Psr\Log\LogLevel::EMERGENCY:
            case \Psr\Log\LogLevel::ALERT:
            case \Psr\Log\LogLevel::CRITICAL:
            case \Psr\Log\LogLevel::ERROR:
            case \Psr\Log\LogLevel::WARNING:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_e2670a71b0605345f16" . "f2b7a8edd4a21"]($level);
                break;
            case \Psr\Log\LogLevel::NOTICE:
            default:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_74923e1c0049a84fd020d9" . "6f8ae0645d"];
                break;
            case \Psr\Log\LogLevel::INFO:
                $prefix = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_a08b13e5439bf1e1258f60e9380f41" . "ae"];
                break;
            case \Psr\Log\LogLevel::DEBUG:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_0f10830288c" . "813de18599c1" . "2f76694b3"];
                break;
        }
        echo $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_24f5487bd60" . "ba6b30d6285c" . "791a32460"]($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_e2670a71b06053" . "45f16f2b7a8edd4" . "a21"]($prefix), 6) . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_70809333a0f2" . "54acf7a1ad0c7" . "dadd46b"] . $message . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_b742a00ae87756f850c77" . "e0daf4e7a3a"];
    }
    public function setLogLevel($_4eff911a7d895b5233a9a2ffeefd84f9 = LogLevel::NOTICE)
    {
        $this->levels = [];
        switch ($_4eff911a7d895b5233a9a2ffeefd84f9) {
            case \Psr\Log\LogLevel::DEBUG:
                $this->levels[] = \Psr\Log\LogLevel::DEBUG;
            case \Psr\Log\LogLevel::INFO:
                $this->levels[] = \Psr\Log\LogLevel::INFO;
            case \Psr\Log\LogLevel::NOTICE:
                $this->levels[] = \Psr\Log\LogLevel::NOTICE;
            case \Psr\Log\LogLevel::WARNING:
                $this->levels[] = \Psr\Log\LogLevel::WARNING;
            case \Psr\Log\LogLevel::ERROR:
                $this->levels[] = \Psr\Log\LogLevel::ERROR;
        }
        $this->levels[] = \Psr\Log\LogLevel::CRITICAL;
        $this->levels[] = \Psr\Log\LogLevel::ALERT;
        $this->levels[] = \Psr\Log\LogLevel::EMERGENCY;
    }
}